html, 
body, 
.page-wrapper {
	width: 100%;
	height: 100%;
	overflow: hidden;
}


.menu-wrap a {
	color: #fff;
}

.menu-wrap a:hover,
.menu-wrap a:focus {
	color: #cc9933;
}

.page-wrapper {
	overflow-y: scroll;
	-webkit-overflow-scrolling: touch;
	-webkit-transition: -webkit-transform 0.3s;
	transition: transform 0.3s;
}
.menu-wrap img {
    margin: 40px 0 70px 45px;
}
.content {
	position: relative;
	background: #b4bad2;
}

.page-wrapper::before {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 1000;
	width: 100%;
	height: 100%;
	background: rgba(0,0,0,0.3);
	content: '';
	opacity: 0;
	-webkit-transition: opacity 0.3s, -webkit-transform 0s 0.3s;
	transition: opacity 0.3s, transform 0s 0.3s;
	-webkit-transform: translate3d(100%,0,0);
	transform: translate3d(100%,0,0);
}

/* Menu Button */
.menu-button {
	position: fixed;
	z-index: 1000;
	margin: 1em;
	padding: 0;
	width: 2.5em;
	height: 2.25em;
	border: none;
	text-indent: 2.5em;
	font-size: 1.5em;
	color: transparent;
	background: transparent;
	top: 0;
	left: -100px;

	-webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
	-ms-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;
}
.menu-button.fixed{
	left: 0;
}

.menu-button::before {
	position: absolute;
	top: 0.5em;
	right: 0.5em;
	bottom: 0.5em;
	left: 0.5em;
	background: linear-gradient(#333 20%, transparent 20%, transparent 40%, #333 40%, #333 60%, transparent 60%, transparent 80%, #333 80%);
	content: '';

	-webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
	-ms-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;
}

.menu-button:hover:before {
	background: linear-gradient(#cc9933 20%, transparent 20%, transparent 40%, #cc9933 40%, #cc9933 60%, transparent 60%, transparent 80%, #cc9933 80%);
}

/* Close Button */
.close-button {
	width: 80px;
	height: 80px;
	position: absolute;
	left: 100%;
	top: -80px;
	overflow: hidden;
	text-indent: 16px;
	border: none;
	z-index: 1001;
	background: transparent;
	color: transparent;
	background: #333;

	-webkit-transition: all 0.3s ease 0.3s;
    -moz-transition: all 0.3s ease 0.3s;
	-ms-transition: all 0.3s ease 0.3s;
	-o-transition: all 0.3s ease 0.3s;
	transition: all 0.3s ease 0.3s;
}

.close-button:before,
.close-button:after {
	content: '';
	position: absolute;
	width: 4px;
	height: 20px;
	top: 50%;
	left: 50%;
	background: #fff;
	margin-top: -10px;

	-webkit-transform: rotate(45deg);
	transform: rotate(45deg);

	-webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
	-ms-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;
}
}

.close-button:before {
	-webkit-transform: rotate(45deg);
	transform: rotate(45deg);
}
/*
.close-button:hover:before {
	-webkit-transform: rotate(135deg);
	transform: rotate(135deg);
}*/
.close-button:after {
	-webkit-transform: rotate(-45deg);
	transform: rotate(-45deg);
}/*
.close-button:hover:after {
	-webkit-transform: rotate(45deg);
	transform: rotate(45deg);
}*/
.close-button:hover:before,
.close-button:hover:after{
	background: #cc9933;
}

/* Menu */
.menu-wrap {
	position: fixed;
	z-index: 1001;
	width: 270px;
	height: 100%;
	font-size: 1.15em;
	top: 0;
	-webkit-transform: translate3d(-350px,0,0);
	transform: translate3d(-350px,0,0);
	-webkit-transition: -webkit-transform 0.3s;
	transition: transform 0.3s;
}

.menu-wrap .menu {
	background: #333;
	width: calc(100% - 120px);
	height: 100%;
	position: relative;
	z-index: 1001;
}

.icon-list {
	width: 270px;
	text-align: center;
}

.icon-list a {
	display: block;
}

.icon-list a span {
	font-size: 20px;
    line-height: 60px;
    position: relative;
    display: inline-block;
}
.icon-list a span:before{
	content: "";
	width:3px;
	height: 3px;
	position: absolute;
	top: 100%;
	left: 50%;
	margin-left: -1.5px;
	border-radius: 50%;
	background: #999;
}
.icon-list a:last-child span:before{
	display: none;
}

/* Morph Shape */
.morph-shape {
	position: absolute;
	width: 120px;
	height: 100%;
	top: 0;
	right: 0;
	fill: #333;
	z-index: 1000;
}

/* Shown menu */
.show-menu .menu-wrap {
	-webkit-transform: translate3d(0,0,0);
	transform: translate3d(0,0,0);
}

.show-menu .page-content {
	-webkit-transition-delay: 0.1s;
	transition-delay: 0.1s;
	-webkit-transform: translate3d(100px,0,0);
	transform: translate3d(100px,0,0);
}

.show-menu .page-wrapper::before {
	opacity: 1;
	-webkit-transition: opacity 0.3s;
	transition: opacity 0.3s;
	-webkit-transform: translate3d(0,0,0);
	transform: translate3d(0,0,0);
}
.show-menu .close-button{
	top: 0;
}
.menu-wrap p{
	bottom: 30px;
    color: #666;
    font-size: 12px;
    font-style: normal;
    left: 0;
    position: absolute;
    width: 270px;
    text-align: center;
    line-height: 18px;
}
.menu-wrap .soc-icons {
    width: 270px;
    position: absolute;
    bottom: 120px;
    left: 0;
    text-align: center;
}
.menu-wrap .soc-icons a{
	color: #4d4d4d;
	margin: 0 18px;
	display: inline-block;
	font-size: 18px;
}
.menu-wrap .soc-icons a:hover{
	color: #fff;
}